org.bdgenomics.adam.metrics

# BaseQualityScores

#### object BaseQualityScores extends PointComparisons with Serializable

Linear Supertypes
Serializable, Serializable, PointComparisons, BucketComparisons[(Int, Int)], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BaseQualityScores
2. Serializable
3. Serializable
4. PointComparisons
5. BucketComparisons
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def createFilter(filterDef: String): ComparisonsFilter[(Int, Int)]

   parses and creates a filter for this BucketComparisons value, conforming to the definition in the filterDef argument.

   parses and creates a filter for this BucketComparisons value, conforming to the definition in the filterDef argument.

   filterDef

     a filter definition string, e.g. ">3"

   returns

     A ComparisonsFilter value that performs the indicated comparison on the output of 'this' (i.e. T values)

   Definition Classes
     PointComparisons → BucketComparisons

9. #### val description: String

   Description of the comparison, to be used by the "list comparisons" CLI option.

   Description of the comparison, to be used by the "list comparisons" CLI option.

   Definition Classes
     BaseQualityScores → BucketComparisons

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def matchedByName(bucket1: ReadBucket, bucket2: ReadBucket): Seq[(Int, Int)]

    The records have been matched by their names, but the rest may be mismatched.

    The records have been matched by their names, but the rest may be mismatched.

    Definition Classes
      BaseQualityScores → BucketComparisons

17. #### val name: String

    Name of the comparison.

    Name of the comparison. Should be identifiable, and able to be written on the command line.

    Definition Classes
      BaseQualityScores → BucketComparisons

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def points(records1: Iterable[AlignmentRecord], records2: Iterable[AlignmentRecord]): Seq[(Int, Int)]

22. #### def schemas: Seq[FieldValue]

    All of the schemas which this comparison uses.

    All of the schemas which this comparison uses.

    Definition Classes
      BaseQualityScores → BucketComparisons

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from PointComparisons

### Inherited from BucketComparisons[(Int, Int)]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped